import {
  ActionMapping,
  Reducer,
  RestAPI,
} from '@overflow/commons/redux/decorators';

@Reducer()
@ActionMapping('@overflow/modules/member/MemberReducer')
export default class MemberReducer {

  /**
   * signin
   */
  @RestAPI('/account/signin')
  @ActionMapping('/signin')
  public signin(state: any, result: any, error: any): any {
    console.log(`signin`);
    return state;
  }
}
